#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_without	tests	# unit tests

%define		module		asn1crypto
%define		egg_name	asn1crypto
%define		pypi_name	asn1crypto
Summary:	Python ASN.1 library with a focus on performance and a pythonic API
Summary(pl.UTF-8):	Biblioteka ASN.1 dla Pythona zorientowana na wydajność i pythonowe API
Name:		python-%{pypi_name}
Version:	1.5.1
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/asn1crypto/
Source0:	https://files.pythonhosted.org/packages/source/a/asn1crypto/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	f7a5271af9b81246fbdf57d703afce2f
Source1:	https://files.pythonhosted.org/packages/source/a/asn1crypto_tests/asn1crypto_tests-%{version}.tar.gz
# Source1-md5:	07adf2c937fb90adbecc125b17eeaa1a
URL:		https://pypi.org/project/asn1crypto/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%description -l pl.UTF-8
Szybki parser i serializer ASN1 z definicjami dla kluczy prywatnych,
kluczy publicznych, certyfikatów, CRL, OCSP, CMS, PKCS#3, PKCS#7,
PKCS#8, PKCS#12, PKCS#5, X.509 i TSP.

%package -n python3-%{pypi_name}
Summary:	Python ASN.1 library with a focus on performance and a pythonic API
Summary(pl.UTF-8):	Biblioteka ASN.1 dla Pythona zorientowana na wydajność i pythonowe API
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{pypi_name}
Fast ASN.1 parser and serializer with definitions for private keys,
public keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8,
PKCS#12, PKCS#5, X.509 and TSP.

%description -n python3-%{pypi_name} -l pl.UTF-8
Szybki parser i serializer ASN1 z definicjami dla kluczy prywatnych,
kluczy publicznych, certyfikatów, CRL, OCSP, CMS, PKCS#3, PKCS#7,
PKCS#8, PKCS#12, PKCS#5, X.509 i TSP.

%prep
%setup -q -n %{pypi_name}-%{version} %{?with_tests:-a1}

%if %{with tests}
%{__mv} asn1crypto_tests-%{version} tests
%endif

%build
%if %{with python2}
%py_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python} -m pytest tests
%endif
%endif

%if %{with python3}
%py3_build
%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE changelog.md readme.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc LICENSE changelog.md readme.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Sat May 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-asn1crypto.git;a=log;h=master

* Sat May 03 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 839727a
- pytest for tests

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e31e554
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> fbb90c5
- python 3.13 rebuild

* Fri Jul 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 887c1a4
- updated to 1.5.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 024c759
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 3fe5728
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 90a1776
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> da50264
- release 2 (by relup.sh)

* Sun Jun 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 4c85154
- updated to 1.3.0

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 4d8cc10
- updated to 1.2.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cfd6683
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 015e070
- updated to 1.0.0, added tests

* Wed Oct 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 35bbfba
- pl, cleanup

* Mon Sep 17 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6719e9b
- up to 0.24.0

